#include "portal.h"

#include "world.h"

#define PORTAL_HARD_LINK
#undef  PORTAL_SOFT_LINK

Portal::Portal(class World * world, unsigned int x, unsigned int y) :
	world(world),
	x(x),
	y(y),
	link(nullptr)
{ }

Portal::~Portal() {
	if(link != nullptr) {
#ifdef PORTAL_HARD_LINK
		this->link->world->remove_portal(this->link);
		delete(this->link);
#elif PORTAL_SOFT_LINK
		this->link->link = nullptr;
#endif
	}
}

std::pair<class Portal *, class Portal *> Portal::create_pair(
	class World * world_A, unsigned int x_A, unsigned int y_A,
	class World * world_B, unsigned int x_B, unsigned int y_B
) {
	class Portal * A = new Portal(world_A, x_A, y_A);
	class Portal * B = new Portal(world_B, x_B, y_B);
	A->link = B;
	B->link = A;
	world_A->add_portal(A);
	world_B->add_portal(B);
	std::pair<class Portal *, class Portal *> pair(A,B);
	return(pair);
}

class World * Portal::get_world() {
	return(this->world);
}

unsigned int Portal::get_x() {
	return(this->x);
}

unsigned int Portal::get_y() {
	return(this->y);
}

class Portal * Portal::get_link() {
	return(this->link);
}

unsigned short int Portal::get_aspect() {
	return(Portal::aspect);
}

