#ifndef PORTAL_H
#define PORTAL_H

class World;

#include <utility> // std::pair<>

class Portal {
	private:
		class World * world;
		unsigned int x;
		unsigned int y;
		class Portal * link;

		Portal(class World * world, unsigned int x, unsigned int y);

		static const unsigned short int aspect = 14;
	public:
		~Portal();
		static std::pair<class Portal *, class Portal *> create_pair(
			class World * world_A, unsigned int x_A, unsigned int y_A,
			class World * world_B, unsigned int x_B, unsigned int y_B
		);
		class World * get_world();
		unsigned int get_x();
		unsigned int get_y();
		class Portal * get_link();
		unsigned short int get_aspect();
};

#endif
