#include "tile.h"

Tile::Tile(
	std::string name,
	bool passable,
	unsigned short int growpower,
	unsigned short int timer,
	unsigned short int output,
	enum Pattern pattern
) :
	name(name),
	passable(passable),
	growpower(growpower),
	timer(timer),
	output(output),
	pattern(pattern),
	death_spirit(false)
{ }

Tile::~Tile() { }

void Tile::flag_as_death_spirit() {
	this->death_spirit = true;
}

std::string Tile::get_name() {
	return(this->name);
}

bool Tile::is_passable() {
	return(this->passable);
}

unsigned short int Tile::get_timer() {
	return(this->timer);
}

unsigned short int Tile::get_growpower() {
	return(this->growpower);
}

unsigned short int Tile::get_output() {
	return(this->output);
}

enum Pattern Tile::get_pattern() {
	return(this->pattern);
}

bool Tile::is_death_spirit() {
	return(this->death_spirit);
}

