#ifndef TILE_H
#define TILE_H

#include <string>

enum Pattern {Passive, Grass, Spores, VineVertical, VineHorizontal, Plague, AlgaeWater, AlgaeLava};

class Tile {
	private:
		std::string name;
		bool passable;
		unsigned short int growpower;
		unsigned short int timer;
		unsigned short int output;
		enum Pattern pattern;
		bool death_spirit;
	public:
		Tile(
			std::string name,
			bool passable,
			unsigned short int growpower = 0, // 0 is always grown on and never grows.
			unsigned short int timer = 0,     // 0 never tick.
			unsigned short int output = 0,
			enum Pattern pattern = Pattern::Passive);
		~Tile();
		void flag_as_death_spirit();
		std::string get_name();
		bool is_passable();
		unsigned short int get_timer();
		unsigned short int get_growpower();
		unsigned short int get_output();
		enum Pattern get_pattern();
		bool is_death_spirit();
};

#endif
